Description
===========
light weight resource to deliver web application from tarball to your host

Requirements
============
- tar

Attributes
==========

Usage
=====

    web_application 'my-application' do
        url   'http://some.ftp.host/my-app.tar.gz'
        user  'alex'
        group 'users'
        action :deliver
    end

    web_application 'my-application' do
        pattern   'my-app*/'
        user  'alex'
        group 'users'
        action :clean
    end

    web_application 'my-application' do
        user  'alex'
        group 'users'
        action :delete
    end
    
Resource's parameters
=====================

 - `name` - name of symlink
 - `url` - http url to application tarball
 - `user` - owner of application files
 - `group` - group of applications files
 - `base` - directory where application tarball will be unpacked, default value is `user's home directory`, 
so the application will be unpacked in `base/apps/` directory and get symlinked as `base/apps/name`
 

Actions
=======
 - `fetch` - just fetch application tarball and store it
 - `unpack` - unpack application tarball
 - `symlink` - make symlink in `base/apps/` to unpacked application 
 - `deliver` - fetch, unpack, symlink actions in sum
 - `delete` - remove application directory ( resolved by `name` symlink )
 - `clean` - clean up `old` unpacked distributives (effectively delete ALL directories in `base/apps` directory except currently symlinked as `base/apps/name` )


 
 

